﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.Pivot.Core;

namespace RadPivotGrid_CustomDateTimeOffset
{
    public class HourlyGroupDescription : PropertyGroupDescriptionBase
    {
        protected override object GroupNameFromItem(object item, int level)
        {
            var groupName = base.GroupNameFromItem(item, level).ToString();

            DateTimeOffset date = DateTimeOffset.Parse(groupName);
            GroupObj group = new GroupObj(date);

            return group;
        }

        public override string GetUniqueName()
        {
            return base.GetUniqueName();
        }

        protected override void CloneOverride(Cloneable source)
        {
            //
        }

        protected override Cloneable CreateInstanceCore()
        {
            return new HourlyGroupDescription();
        }
    }
}
